#pragma once

#include "CoreMinimal.h"
#include "TerrorRadiusEmitterComponent.h"
#include "KillerTerrorRadiusEmitterComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API UKillerTerrorRadiusEmitterComponent : public UTerrorRadiusEmitterComponent
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable)
	void SetBaseTerrorRadius(float baseTerrorRadius, const bool progressive);

public:
	UKillerTerrorRadiusEmitterComponent();
};

FORCEINLINE uint32 GetTypeHash(const UKillerTerrorRadiusEmitterComponent) { return 0; }
